
CaserneCommand = Turbine.ShellCommand();

------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function CaserneCommand:Execute( command, arguments )

	if ( arguments == "help" ) then
		Turbine.Shell.WriteLine(Strings.PluginHelp);
	elseif ( arguments == "show" ) then
		--Turbine.Shell.WriteLine("Show the Caserne Window");
		CaserneWindow:SetVisible(true);
		settings.isWindowVisible = true;
		SaveSettings();
	elseif ( arguments == "hide" ) then
		--Turbine.Shell.WriteLine("Hide the Caserne Window");
		CaserneWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings();
	elseif ( arguments == "default" ) then
		--Turbine.Shell.WriteLine("default the YulHelperWindow");
		settings.shortcutData_1 = "0x7000FC78"; -- morceaux de fruit pourrit non theatre
		settings.shortcutData_2 = "0x70002FAF"; -- ptale de fleurs de rivegel
		settings.shortcutData_3 = "0x70002F1A"; -- morceaux de fruit pourri pour le theatre
		settings.shortcutData_4 = "0x70002F7A"; -- boule de neige parfaite pour l'instance
		centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_1 ) );
		centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_2 ) );
		centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_3 ) );
		centerQS4:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_4 ) );
		SaveSettings();
	elseif ( arguments == "clear" ) then
		Turbine.Shell.WriteLine("clear the Animalerie Window");
		settings.shortcutData_1 = tostring("");
		settings.shortcutData_2 = tostring(""); 
		settings.shortcutData_3 = tostring(""); 
		settings.shortcutData_4 = tostring(""); 
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut()); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS4:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings();
	end
end

Turbine.Shell.AddCommand( "Ca;Caserne", CaserneCommand );